﻿<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8"/>
	<title>Floaut</title>
	<link rel="stylesheet" href="./css/reset.css">
	<style>
		.container {
			position: relative;
			width: 1170px;
			margin: 0 auto;
		}

		.main-container {
			height: 1000px;
			clear: both;
		}

		.main-header {
			height: 50px;
			background: #aaa;
			border-color: red;
		}

		.main-content {
			width: 100%;
			height: 100%;
			padding: 10px;
			box-sizing: border-box;
			border: dashed 5px #000;
		}

		.main-sidebar {
			width: 30%;
			height: 100%;
			padding: 10px;
			box-sizing: border-box;
			border: dashed 5px #000;
			float: left;
		}


		.main-header {
			position: -webkit-sticky;
			position: sticky;
			top: 0;
		}
	</style>
</head>
<body>
<header class="main-header">HEADER</header>
<div class="main-container container">
	<aside class="main-sidebar">
		sidebar
	</aside>
	<main class="main-content">
		main
	</main>
</div>
<footer class="main-footer">FOOTER</footer>
</body>
</html>